# changes the log format of the access log
# see !!! invalid paths !!! https://docs.aws.amazon.com/elasticbeanstalk/latest/dg/java-tomcat-proxy.html
# see https://docs.aws.amazon.com/elasticbeanstalk/latest/dg/platforms-linux-extend.html

LogFormat "{ \"timestamp\":\"%{%Y-%m-%d}t %{%T}t.%{msec_frac}t\", \"instanceIP\":\"%A\", \"remoteIP\":\"%{X-Forwarded-For}i\", \"appVariantIdentifier\":\"%{appVariantIdentifier}i\", \"requestURI\":\"%U\", \"method\":\"%m\", \"duration\":\"%{ms}T\", \"requestPattern\":\"%m %U\", \"status\":\"%>s\", \"size\":\"%B\", \"userAgent\":\"%{User-agent}i\", \"referer\":\"%{Referer}i\" }" dd_access_log_format
CustomLog logs/access_log dd_access_log_format